﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.ComponentModel;

namespace ListBoxDemo
{
    public class TodoElement : INotifyPropertyChanged
    {
        private string todoElement;

        public event PropertyChangedEventHandler PropertyChanged;

        public void NotitfyPropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }

        public string Todo
        { 
            get { return todoElement; }
            set 
            {
                todoElement = value;
                NotitfyPropertyChanged("Todo");
            }
        }
    }
}
